YPSET(8) | System Manager's Manual | YPSET(8)

# NAME

`ypset` —
tell ypbind(8) which NIS server process to use

# SYNOPSIS

`ypset` | [`-h` host] [`-d` domain] server

# DESCRIPTION

`ypset` tells the ypbind(8) process on the current machine which NIS server process to communicate with. If server is down or is not running a NIS server process, it is not discovered until a NIS client process attempts to access a NIS map, at which time ypbind(8) tests the binding and takes appropriate action.

`ypset` is most useful for binding a NIS client that is not on the same broadcast network as the closest NIS server, but can also be used for debugging a local network's NIS configuration, testing specific NIS client programs, or binding to a specific server when there are many servers on the local network supplying NIS maps.

The options are as follows:

`-h` host
  Set the NIS binding on host instead of the local machine.
`-d` domain
  Use the NIS domain domain instead of the default domain as returned by domainname(1).

# SEE ALSO

domainname(1), ypcat(1), ypmatch(1), ypwhich(1), nis(8), ypbind(8), yppoll(8)

# AUTHORS

Theo de Raadt

February 26, 2005 | NetBSD 9.4